#include <iostream>
#include<stdlib.h>
#include<stdio.h>
#include<time.h>

using namespace std;

int main()
{
    int n,a,i,j,g,x[5],y[5],s=0;

    printf("unesite n: ");
    scanf("%d",&n);
    printf("uensite a: ");
    scanf("%d",&a);
g=n%3;

    if(n/a>=3)
    {
        for(i=0;i<3;i++)
        {
            x[i]=a;
            y[i]=0;
        }

        for(i=0;i<3;i++)
        {
            if(x[i]!=y[i]+2)
        {


        for(j=1;x[i]<y[i]+2;j++)
            x[i]+=j;

        }
        }
         for(i=0;i<3;i++)
         {
             s+=x[i];


         }

         for(i=0;s<n;s++)
         {



                 x[i]+=1;
                 i++;

                 if(i==3)i=0;



         }




            for(j=0;j<3;j++)
            {printf("%6d%6d",x[j],y[j]);
            printf("\n");
            }
    }

    else printf("-1");
    return 0;
}